/*
 * mul_float.h
 *
 *  Created on: 15-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef MUL_FLOAT_H_
#define MUL_FLOAT_H_

#include "tdefs.h"

struct mul_logic
{
	float *fin;
	float *fout;
};

struct mul_io
{
	u32 in_float_in;
	u32 out_float_out;
}__attribute__((__packed__));

struct mul_params
{
	double multiplier;
}__attribute__((__packed__));

struct mul_args
{
	struct mul_io io;
	struct mul_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void mul(void *args, void *logic);
extern int mul_initlog(void *arguments, void *logic);

#endif /* MUL_FLOAT_H_ */
